"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getMongoCollection = void 0;
const get_mongo_db_1 = require("../sources/get-mongo-db");
const is_mongo_definition_1 = require("./is-mongo-definition");
function getMongoCollection(config, dbConnection, cb) {
    if (!dbConnection && config) {
        if ((0, is_mongo_definition_1.isMongoDefinition)(config.mongoSetting)) {
            (0, get_mongo_db_1.default)(config.mongoSetting, (err, collection) => {
                if (err || !collection) {
                    cb(err, undefined);
                }
                else {
                    cb(undefined, collection);
                }
            });
        }
        else {
            const result = config.mongoSetting.client
                .db(config.mongoSetting.database)
                .collection(config.mongoSetting.collection);
            cb(undefined, result);
        }
    }
}
exports.getMongoCollection = getMongoCollection;
//# sourceMappingURL=get-mongo-collection.js.map